// This program obtains a number from the user and generates a board with that 
// many rows and columns, filled with random numbers ranging from 1 to 9
// inclusive.
// 
// Aaron Weeden, May 23, 2013.

#include <iostream>
#include <stdlib.h>
#include <time.h>

using namespace std;

int main() {

    // Declare variables.
    int size; // This number is provided by the user.  The board will have this
              // many rows and columns.
    int rowIdx; // This is used to loop over the rows of the board.
    int colIdx; // This is used to loop over the columns of the board.

    // Get number from user.
    cout << "Please enter the size of the board (e.g. 9 for a 9x9 board): ";
    cin >> size;

    // Seed the random number generator.
    srand(time(NULL));

    // Print a title.
    cout << "Board: " << endl;

    // For each row in the board,
    for (rowIdx = 0; rowIdx < size; rowIdx++) {

        // For each column in the board,
        for (colIdx = 0; colIdx < size; colIdx++) {

            // Print a random number in the range 1 to 9, inclusive.
            cout << rand() % 9 + 1 << " ";
        }

        // Print a newline in between rows.
        cout << endl;
    }

    return 0;
}
